import { jsx as e, Fragment as u } from "react/jsx-runtime";
import { Text as r, TextTypes as n, FontWeights as o } from "./index-Text.js";
import "react";
const d = (i, a, s, t) => {
  if (t)
    return e(r, {
      color: "--e900",
      fontWeight: o.regular,
      type: n.textHelp,
      children: t
    });
  switch (!0) {
    case i:
      return e(r, {
        color: "--e900",
        fontWeight: o.regular,
        type: n.textHelp,
        children: "This ad doesn't have enough keywords assigned"
      });
    case a:
      return e(r, {
        color: "--e900",
        fontWeight: o.regular,
        type: n.textHelp,
        children: "Currently, your ad isn't running. To activate it, check its content and fix the errors found."
      });
    case s:
      return e(r, {
        color: "--s900",
        fontWeight: o.regular,
        type: n.textHelp,
        children: "This ad is active but not running while the campaign is paused."
      });
  }
}, g = (i) => {
  const {
    notEnoughKeywords: a,
    adGroupDisapproved: s,
    adGroupNotRunning: t,
    text: c
  } = i;
  return e(u, {
    children: d(a, s, t, c)
  });
};
export {
  g as ActionCardInfo
};
